# Date

    extension Date: FieldStorableType

    extension Date: ImportableAttributeType

    extension Date: AllowedOptionalObjectiveCKeyPathValue

    extension Date: AllowedObjectiveCAttributeKeyPathValue

    extension Date: QueryableAttributeType

### AllowedOptionalObjectiveCKeyPathValue

- `DestinationValueType`

  #### Declaration

  Swift

      public typealias DestinationValueType = Date

### AllowedObjectiveCAttributeKeyPathValue

- `ReturnValueType`

  #### Declaration

  Swift

      public typealias ReturnValueType = Date

### Date

- `QueryableNativeType`

  #### Declaration

  Swift

      public typealias QueryableNativeType = NSDate

- `cs_rawAttributeType`

  #### Declaration

  Swift

      public static let cs_rawAttributeType: NSAttributeType

- `cs_fromQueryableNativeType(_:)`

  #### Declaration

  Swift

      @inline(__always)
      public static func cs_fromQueryableNativeType(_ value: QueryableNativeType) -> Date?

- `cs_toQueryableNativeType()`

  #### Declaration

  Swift

      @inline(__always)
      public func cs_toQueryableNativeType() -> QueryableNativeType